Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2008 BEA Systems, Inc. All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.beasys.commerce.ebusiness.tax
Interface TaxLine

All Superinterfaces
  Belonging, BusinessSmartComponent, Cloneable, Comparable, Serializable

All Known Implementing Classes:
  TaxLineImpl

Deprecated See BEA Commerce product offering

    @Deprecated
    public interface TaxLine

extends Belonging

Has all the information from orderline required to do taxing, may be generated from an orderline. Attribute: freight

- Containment: By Value
- Multiplicity: 1:1

Attribute: price

- Containment: By Value
- Multiplicity: 1:1

Attribute: quantity

- Containment: By Value
- Multiplicity: 1:1

Attribute: taxCode

- Containment: By Value
- Multiplicity: 1:1

See Also
  `TaxLineHome`, `TaxLineImpl`

Method Summary
`Price` | `getDiscountedPriceAmount()` Deprecated See BEA Commerce product offering
`Price` | `getFreight()` Deprecated See BEA Commerce product offering
`Price` | `getPrice()` Deprecated See BEA Commerce product offering
`Quantity` | `getQuantity()` Deprecated See BEA Commerce product offering
`String` | `getTaxCode()` Deprecated See BEA Commerce product offering
`void` | `setDiscountedPriceAmount(Price price)` Deprecated See BEA Commerce product offering
`void` | `setFreight(Price freight)` Deprecated See BEA Commerce product offering
`void` | `setPrice(Price price)` Deprecated See BEA Commerce product offering
`void` | `setQuantity(Quantity quantity)` Deprecated See BEA Commerce product offering
`void` | `setTaxCode(String taxCode)` Deprecated See BEA Commerce product offering

Methods inherited from interface com.beasys.commerce.foundation.Belonging
`clone, equals, interfaceName, setByValue, value`

Methods inherited from interface java.lang.Comparable
`compareTo`

Method Detail

### getFreight

    Price getFreight()

  Deprecated See BEA Commerce product offering

  Get the value of freight

  Returns
    freight.

### setFreight

    void setFreight(Price freight)

  Deprecated See BEA Commerce product offering

  Set the value of freight

  Parameters
    `freight` - freight to be added

### getPrice

    Price getPrice()

  Deprecated See BEA Commerce product offering

  Get the value of price

  Returns
    price.

### setPrice

    void setPrice(Price price)

  Deprecated See BEA Commerce product offering

  Set the value of price

  Parameters
    `price` - price to be added

### getDiscountedPriceAmount

    Price getDiscountedPriceAmount()

  Deprecated See BEA Commerce product offering

  Get the value of the discounted price

  Returns
    price.

### setDiscountedPriceAmount

    void setDiscountedPriceAmount(Price price)

  Deprecated See BEA Commerce product offering

  Set the value of the discounted price. This is the amount off the full price.

  Parameters
    `price` - price to be added

### getQuantity

    Quantity getQuantity()

  Deprecated See BEA Commerce product offering

  Get the value of quantity

  Returns
    quantity.

### setQuantity

    void setQuantity(Quantity quantity)

  Deprecated See BEA Commerce product offering

  Set the value of quantity

  Parameters
    `quantity` - quantity to be added

### getTaxCode

    String getTaxCode()

  Deprecated See BEA Commerce product offering

  Get the value of taxCode

  Returns
    taxCode.

### setTaxCode

    void setTaxCode(String taxCode)

  Deprecated See BEA Commerce product offering

  Set the value of taxCode

  Parameters
    `taxCode` - taxCode to be added

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 BEA Systems, Inc. All Rights Reserved